Name:           fet
Version:        5.23.1
Release:        1%{?dist}
Summary:        A timetabling software for educational institutions

License:        GPLv2+
URL:            http://lalescu.ro/liviu/fet
Source0:        http://lalescu.ro/liviu/fet/download/fet-%{version}.tar.bz2
Source1:        fet.desktop

BuildRequires:  qt-devel > 4.3
BuildRequires:  desktop-file-utils

%description
FET is open source free software for automatically scheduling
the timetable of a school, high-school or university. It uses
a fast and efficient timetabling algorithm.

%prep
%setup -q
# remove binary translations
rm -rf translations/*.qm

%build
qmake-qt4 %{name}.pro
make %{?_smp_mflags}
# build translation files
pushd translations
lrelease-qt4 *.ts
popd

%install
# prepare folders
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/%{name}/translations
# install
install -p -m 0755 fet %{buildroot}%{_bindir}/
install -p -m 0644 doc/fet.1 %{buildroot}%{_mandir}/man1/
install -p -m 0644 translations/*.qm %{buildroot}%{_datadir}/%{name}/translations
# install desktop file
desktop-file-install --vendor="fedora" \
        --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%doc AUTHORS ChangeLog COPYING README REFERENCES THANKS TODO TRANSLATORS
%doc doc examples
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}/

%changelog
* Wed Aug 13 2014 Fabian Affolter <mail@fabian-affolter.ch> - 5.23.1-1
- Update to new upstream version 5.23.1

* Fri Aug 13 2010 Fabian Affolter <mail@fabian-affolter.ch> - 5.14.1-1
- Update to new upstream version 5.14.1

* Tue Jul 20 2010 Fabian Affolter <mail@fabian-affolter.ch> - 5.14.0-1
- Updated to new upstream version 5.14.0

* Tue Jun 22 2010 Fabian Affolter <mail@fabian-affolter.ch> - 5.13.5-1
- Update to new upstream version 5.13.5

* Fri Jun 18 2010 Fabian Affolter <mail@fabian-affolter.ch> - 5.13.4-1
- Update to new upstream version 5.13.4

* Thu May 06 2010 Fabian Affolter <mail@fabian-affolter.ch> - 5.13.2-1
- Update to new upstream version 5.13.2

* Wed Apr 07 2010 Fabian Affolter <mail@fabian-affolter.ch> - 5.13.1-1
- Update to new upstream version 5.13.1

* Sun Mar 20 2010 Fabian Affolter <mail@fabian-affolter.ch> - 5.13.0-1
- Update to new upstream version 5.13.0

* Sun Feb 07 2010 Fabian Affolter <mail@fabian-affolter.ch> - 5.12.3-1
- Update to new upstream version 5.12.3

* Sun Jan 31 2010 Fabian Affolter <mail@fabian-affolter.ch> - 5.12.2-1
- Update to new upstream version 5.12.2

* Fri Dec 18 2009 Fabian Affolter <mail@fabian-affolter.ch> - 5.12.0-1
- Some doc files remove
- Update to new upstream version 5.12.0

* Mon Sep 14 2009 Fabian Affolter <mail@fabian-affolter.ch> - 5.10.3-1
- Update to new upstream version 5.10.3

* Wed Jul 29 2009 Fabian Affolter <mail@fabian-affolter.ch> - 5.10.2-1
- Improve summary a bit
- Small spec file clean-up
- sample_inputs is now examples
- Update to new upstream version 5.10.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.7.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.7.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 03 2009 Balint Cristian <rezso@rdsor.ro> - 5.7.7-1
- New upstream release

* Sat Dec 06 2008 Balint Cristian <rezso@rdsor.ro> - 5.7.5-1
- New upstream release

* Thu Oct 02 2008 Balint Cristian <rezso@rdsor.ro> - 5.7.0-1
- New upstream release
- Some UTF-8 fixes now upstream

* Thu Sep 25 2008 Balint Cristian <rezso@rdsor.ro> - 5.6.3-3
- Remove binary translations at prep time

* Mon Sep 15 2008 Balint Cristian <rezso@rdsor.ro> - 5.6.3-2
- Add desktop file
- Build translations

* Wed Sep 10 2008 Balint Cristian <rezso@rdsor.ro> - 5.6.3-1
- Initial package for fedora

